xine-lib: xcbosd Struct Reference

xine-lib 1.2.13-20230125hg15249

Public Types | Data Fields
xcbosd Struct Reference

## Public Types
enum | { DRAWN , WIPED , UNDEFINED }

## Data Fields
xcb_connection_t * | connection
xcb_screen_t * | screen
enum xcbosd_mode | mode
union { |
struct { |
xcb_window_t window |
xcb_pixmap_t mask_bitmap |
xcb_gc_t mask_gc |
xcb_gc_t mask_gc_back |
int mapped |
} shaped |
struct { |
uint32_t colorkey |
vo_scale_t * sc |
} colorkey |
} | u |
unsigned int | depth
xcb_pixmap_t | bitmap
xcb_visualid_t | visual
xcb_colormap_t | cmap
xcb_gc_t | gc
int | width
int | height
int | x
int | y
enum xcbosd:: { ... } | clean
xine_t * | xine

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
DRAWN |
WIPED |
UNDEFINED |

## Field Documentation

## ◆ bitmap

xcb_pixmap_t xcbosd::bitmap

Referenced by xcbosd_blend(), xcbosd_clear(), xcbosd_create(), xcbosd_destroy(), xcbosd_drawable_changed(), xcbosd_expose(), and xcbosd_resize().

## ◆ []

enum { ... } xcbosd::clean

Referenced by xcbosd_blend(), xcbosd_clear(), xcbosd_colorkey(), xcbosd_create(), xcbosd_drawable_changed(), xcbosd_expose(), and xcbosd_resize().

## ◆ cmap

xcb_colormap_t xcbosd::cmap

Referenced by xcbosd_blend(), xcbosd_create(), xcbosd_destroy(), and xcbosd_drawable_changed().

## ◆ colorkey [1/2]

uint32_t xcbosd::colorkey

Referenced by xcbosd_clear(), and xcbosd_colorkey().

## ◆ [struct] [2/2]

struct { ... } xcbosd::colorkey

## ◆ connection

xcb_connection_t* xcbosd::connection

Referenced by xcbosd_blend(), xcbosd_clear(), xcbosd_create(), xcbosd_destroy(), xcbosd_drawable_changed(), xcbosd_expose(), and xcbosd_resize().

## ◆ depth

unsigned int xcbosd::depth

Referenced by xcbosd_create(), xcbosd_drawable_changed(), and xcbosd_resize().

## ◆ gc

xcb_gc_t xcbosd::gc

Referenced by xcbosd_blend(), xcbosd_clear(), xcbosd_create(), xcbosd_destroy(), and xcbosd_expose().

## ◆ height

int xcbosd::height

Referenced by xcbosd_clear(), xcbosd_create(), xcbosd_drawable_changed(), xcbosd_expose(), and xcbosd_resize().

## ◆ mapped

int xcbosd::mapped

Referenced by xcbosd_create(), xcbosd_drawable_changed(), and xcbosd_expose().

## ◆ mask_bitmap

xcb_pixmap_t xcbosd::mask_bitmap

Referenced by xcbosd_blend(), xcbosd_clear(), xcbosd_create(), xcbosd_destroy(), xcbosd_drawable_changed(), xcbosd_expose(), and xcbosd_resize().

## ◆ mask_gc

xcb_gc_t xcbosd::mask_gc

Referenced by xcbosd_blend(), xcbosd_create(), and xcbosd_destroy().

## ◆ mask_gc_back

xcb_gc_t xcbosd::mask_gc_back

Referenced by xcbosd_clear(), xcbosd_create(), and xcbosd_destroy().

## ◆ mode

enum xcbosd_mode xcbosd::mode

Referenced by xcbosd_blend(), xcbosd_clear(), xcbosd_colorkey(), xcbosd_create(), xcbosd_destroy(), xcbosd_drawable_changed(), xcbosd_expose(), and xcbosd_resize().

## ◆ sc

vo_scale_t* xcbosd::sc

## ◆ screen

xcb_screen_t* xcbosd::screen

Referenced by xcbosd_blend(), xcbosd_clear(), xcbosd_create(), and xcbosd_drawable_changed().

## ◆ [struct]

struct { ... } xcbosd::shaped

Referenced by xcbosd_blend(), xcbosd_clear(), xcbosd_create(), xcbosd_destroy(), xcbosd_drawable_changed(), xcbosd_expose(), and xcbosd_resize().

## ◆ [union]

union { ... } xcbosd::u

Referenced by xcbosd_blend(), xcbosd_clear(), xcbosd_colorkey(), xcbosd_create(), xcbosd_destroy(), xcbosd_drawable_changed(), xcbosd_expose(), and xcbosd_resize().

## ◆ visual

xcb_visualid_t xcbosd::visual

Referenced by xcbosd_create(), and xcbosd_drawable_changed().

## ◆ width

int xcbosd::width

Referenced by xcbosd_clear(), xcbosd_create(), xcbosd_drawable_changed(), xcbosd_expose(), and xcbosd_resize().

## ◆ window

xcb_window_t xcbosd::window

Referenced by xcbosd_create(), xcbosd_destroy(), xcbosd_drawable_changed(), xcbosd_expose(), and xcbosd_resize().

## ◆ x

int xcbosd::x

## ◆ xine

xine_t* xcbosd::xine

Referenced by xcbosd_create().

## ◆ y

int xcbosd::y

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/video_out/xcbosd.c